diff --git a/libpurple/notify.h b/libpurple/notify.h
--- a/libpurple/notify.h
+++ b/libpurple/notify.h
@@ -466,14 +466,20 @@ void *purple_notify_userinfo(PurpleConne
  * purple_notify_search_button_get_type:
  *
  * Returns: The #GType for #PurpleNotifiySearchButton boxed structure.
+ *
+ * Since: 3.0.0
  */
+PURPLE_AVAILABLE_IN_3_0
 GType purple_notify_search_button_get_type(void);
 
 /**
  * purple_notify_user_info_get_type:
  *
  * Returns: The #GType for the #PurpleNotifyUserInfo boxed structure.
+ *
+ * Since: 3.0.0
  */
+PURPLE_AVAILABLE_IN_3_0
 GType purple_notify_user_info_get_type(void);
 
 /**
@@ -538,7 +544,10 @@ char *purple_notify_user_info_get_text_w
  *
  * Add a label/value pair to a #PurpleNotifyUserInfo object.
  * #PurpleNotifyUserInfo keeps track of the order in which pairs are added.
+ *
+ * Since: 3.0.0
  */
+PURPLE_AVAILABLE_IN_3_0
 void purple_notify_user_info_add_pair_html(PurpleNotifyUserInfo *user_info, const char *label, const char *value);
 
 /**
@@ -575,7 +584,10 @@ void purple_notify_user_info_add_pair_pl
  *
  * Like purple_notify_user_info_add_pair_html(), but the pair is inserted
  * at the beginning of the list.
+ *
+ * Since: 3.0.0
  */
+PURPLE_AVAILABLE_IN_3_0
 void purple_notify_user_info_prepend_pair_html(PurpleNotifyUserInfo *user_info, const char *label, const char *value);
 
 /**
@@ -734,7 +746,10 @@ void purple_notify_user_info_entry_set_v
  * Get the type of a PurpleNotifyUserInfoEntry
  *
  * Returns:  The PurpleNotifyUserInfoEntryType
+ *
+ * Since: 3.0.0
  */
+PURPLE_AVAILABLE_IN_3_0
 PurpleNotifyUserInfoEntryType purple_notify_user_info_entry_get_entry_type(
 		PurpleNotifyUserInfoEntry *user_info_entry);
 
@@ -744,7 +759,10 @@ PurpleNotifyUserInfoEntryType purple_not
  * @type:             The PurpleNotifyUserInfoEntryType
  *
  * Set the type of a PurpleNotifyUserInfoEntry
+ *
+ * Since: 3.0.0
  */
+PURPLE_AVAILABLE_IN_3_0
 void purple_notify_user_info_entry_set_entry_type(
 		PurpleNotifyUserInfoEntry *user_info_entry, PurpleNotifyUserInfoEntryType type);
 
@@ -770,7 +788,10 @@ void *purple_notify_uri(void *handle, co
  * Checks, if passed UI handle is valid.
  *
  * Returns: TRUE, if handle is valid, FALSE otherwise.
+ *
+ * Since: 3.0.0
  */
+PURPLE_AVAILABLE_IN_3_0
 gboolean
 purple_notify_is_valid_ui_handle(void *ui_handle, PurpleNotifyType *type);
 
@@ -847,7 +868,10 @@ void purple_notify_close_with_handle(voi
  * purple_notify_ui_ops_get_type:
  *
  * Returns: The #GType for the #PurpleNotifyUiOps boxed structure.
+ *
+ * Since: 3.0.0
  */
+PURPLE_AVAILABLE_IN_3_0
 GType purple_notify_ui_ops_get_type(void);
 
 /**
diff --git a/libpurple/plugins.h b/libpurple/plugins.h
--- a/libpurple/plugins.h
+++ b/libpurple/plugins.h
@@ -47,6 +47,7 @@ typedef GPluginPlugin PurplePlugin;
 typedef GPluginPluginInterface PurplePluginInterface;
 
 #include "purpleplugininfo.h"
+#include "purpleversion.h"
 
 G_BEGIN_DECLS
 
@@ -103,7 +104,10 @@ gboolean purple_plugin_is_loaded(PurpleP
  * is to avoid managing the reference counts everywhere in our codebase
  * where we use the plugin info. The plugin info instance is guaranteed to
  * exist as long as the plugin exists.
+ *
+ * Since: 3.0.0
  */
+PURPLE_AVAILABLE_IN_3_0
 PurplePluginInfo *purple_plugin_get_info(PurplePlugin *plugin);
 
 /**
@@ -128,7 +132,10 @@ void purple_plugin_disable(PurplePlugin 
  * plugins, loaders etc.
  *
  * Returns: %TRUE if the plugin is an internal plugin, %FALSE otherwise.
+ *
+ * Since: 3.0.0
  */
+PURPLE_AVAILABLE_IN_3_0
 gboolean purple_plugin_is_internal(PurplePlugin *plugin);
 
 /**
@@ -139,7 +146,10 @@ gboolean purple_plugin_is_internal(Purpl
  *
  * Returns: (element-type PurplePlugin) (transfer none): The list of a plugins that depend on the specified
  *                           plugin.
+ *
+ * Since: 3.0.0
  */
+PURPLE_AVAILABLE_IN_3_0
 GSList *purple_plugin_get_dependent_plugins(PurplePlugin *plugin);
 
 /**************************************************************************/
@@ -154,7 +164,10 @@ GSList *purple_plugin_get_dependent_plug
  * Returns: (element-type PurplePlugin) (transfer full): A list of all plugins.
  * 	       The list is owned by the caller, and must be
  *         g_list_free()d to avoid leaking the nodes.
+ *
+ * Since: 3.0.0
  */
+PURPLE_AVAILABLE_IN_3_0
 GList *purple_plugins_find_all(void);
 
 /**
@@ -181,7 +194,10 @@ void purple_plugins_add_search_path(cons
  * that are to be auto-loaded.
  *
  * See purple_plugins_add_search_path().
+ *
+ * Since: 3.0.0
  */
+PURPLE_AVAILABLE_IN_3_0
 void purple_plugins_refresh(void);
 
 /**
@@ -191,7 +207,10 @@ void purple_plugins_refresh(void);
  * Finds a plugin with the specified plugin ID.
  *
  * Returns: (transfer none): The plugin if found, or %NULL if not found.
+ *
+ * Since: 3.0.0
  */
+PURPLE_AVAILABLE_IN_3_0
 PurplePlugin *purple_plugins_find_plugin(const gchar *id);
 
 /**
@@ -201,7 +220,10 @@ PurplePlugin *purple_plugins_find_plugin
  * Finds a plugin with the specified filename (filename with a path).
  *
  * Returns: (transfer none): The plugin if found, or %NULL if not found.
+ *
+ * Since: 3.0.0
  */
+PURPLE_AVAILABLE_IN_3_0
 PurplePlugin *purple_plugins_find_by_filename(const char *filename);
 
 /**
diff --git a/libpurple/prefs.h b/libpurple/prefs.h
--- a/libpurple/prefs.h
+++ b/libpurple/prefs.h
@@ -290,7 +290,10 @@ gboolean purple_prefs_exists(const char 
  * Get pref type
  *
  * Returns: The type of the pref
+ *
+ * Since: 3.0.0
  */
+PURPLE_AVAILABLE_IN_3_0
 PurplePrefType purple_prefs_get_pref_type(const char *name);
 
 /**
diff --git a/libpurple/protocols.h b/libpurple/protocols.h
--- a/libpurple/protocols.h
+++ b/libpurple/protocols.h
@@ -54,7 +54,10 @@ G_BEGIN_DECLS
  * Notifies Purple that a buddy's idle state and time have changed.
  *
  * This is meant to be called from protocols.
+ *
+ * Since: 3.0.0
  */
+PURPLE_AVAILABLE_IN_3_0
 void purple_protocol_got_user_idle(PurpleAccount *account, const char *name,
                                    gboolean idle, time_t idle_time);
 
@@ -68,7 +71,10 @@ void purple_protocol_got_user_idle(Purpl
  * Notifies Purple that a buddy's status has been activated.
  *
  * This is meant to be called from protocols.
+ *
+ * Since: 3.0.0
  */
+PURPLE_AVAILABLE_IN_3_0
 void purple_protocol_got_user_status(PurpleAccount *account, const char *name,
                                      const char *status_id, ...)
                                      G_GNUC_NULL_TERMINATED;
@@ -99,7 +105,10 @@ void purple_protocol_got_user_status_wit
  * Notifies libpurple that a buddy's status has been deactivated
  *
  * This is meant to be called from protocols.
+ *
+ * Since: 3.0.0
  */
+PURPLE_AVAILABLE_IN_3_0
 void purple_protocol_got_user_status_deactive(PurpleAccount *account,
                                               const char *name,
                                               const char *status_id);
@@ -112,7 +121,10 @@ void purple_protocol_got_user_status_dea
  *                   (in the case of independent statuses).
  *
  * Informs the server that our account's status changed.
+ *
+ * Since: 3.0.0
  */
+PURPLE_AVAILABLE_IN_3_0
 void purple_protocol_change_account_status(PurpleAccount *account,
                                            PurpleStatus *old_status,
                                            PurpleStatus *new_status);
@@ -125,7 +137,10 @@ void purple_protocol_change_account_stat
  * Retrieves the list of stock status types from a protocol.
  *
  * Returns: (transfer full) (element-type PurpleStatus): List of statuses
+ *
+ * Since: 3.0.0
  */
+PURPLE_AVAILABLE_IN_3_0
 GList *purple_protocol_get_statuses(PurpleAccount *account,
                                     PurplePresence *presence);
 
@@ -137,7 +152,10 @@ GList *purple_protocol_get_statuses(Purp
  * Determines if the contact supports the given media session type.
  *
  * Returns: The media caps the contact supports.
+ *
+ * Since: 3.0.0
  */
+PURPLE_AVAILABLE_IN_3_0
 PurpleMediaCaps purple_protocol_get_media_caps(PurpleAccount *account,
                                                const char *who);
 
@@ -151,7 +169,10 @@ PurpleMediaCaps purple_protocol_get_medi
  *
  * Returns: TRUE if the call succeeded else FALSE. (Doesn't imply the media
  *          session or stream will be successfully created)
+ *
+ * Since: 3.0.0
  */
+PURPLE_AVAILABLE_IN_3_0
 gboolean purple_protocol_initiate_media(PurpleAccount *account,
                                         const char *who,
                                         PurpleMediaSessionType type);
@@ -164,7 +185,10 @@ gboolean purple_protocol_initiate_media(
  * Signals that the protocol received capabilities for the given contact.
  *
  * This function is intended to be used only by protocols.
+ *
+ * Since: 3.0.0
  */
+PURPLE_AVAILABLE_IN_3_0
 void purple_protocol_got_media_caps(PurpleAccount *account, const char *who);
 
 G_END_DECLS
diff --git a/libpurple/proxy.h b/libpurple/proxy.h
--- a/libpurple/proxy.h
+++ b/libpurple/proxy.h
@@ -32,6 +32,7 @@
 #include "eventloop.h"
 #include "purpleaccount.h"
 #include "purpleproxyinfo.h"
+#include "purpleversion.h"
 
 G_BEGIN_DECLS
 
@@ -97,7 +98,10 @@ PurpleProxyInfo *purple_proxy_get_setup(
  * Returns: (transfer full): NULL if there was an error with the
  *         account's (or system) proxy settings, or a reference to
  *         a #GProxyResolver on success.
+ *
+ * Since: 3.0.0
  */
+PURPLE_AVAILABLE_IN_3_0
 GProxyResolver *purple_proxy_get_proxy_resolver(PurpleAccount *account,
 		GError **error);
 
diff --git a/libpurple/purpleaccount.h b/libpurple/purpleaccount.h
--- a/libpurple/purpleaccount.h
+++ b/libpurple/purpleaccount.h
@@ -53,7 +53,7 @@ G_BEGIN_DECLS
  * account. User interfaces typically allow users to create these in a dialog
  * or wizard.
  */
-
+PURPLE_AVAILABLE_IN_3_0
 G_DECLARE_FINAL_TYPE(PurpleAccount, purple_account, PURPLE, ACCOUNT,
                      PurpleContactInfo)
 
@@ -617,7 +617,10 @@ gboolean purple_account_supports_offline
  *          of the current error, or %NULL if there is no current error.  This
  *          pointer is guaranteed to remain valid until the @ref
  *          account-error-changed signal is emitted for @account.
+ *
+ * Since: 3.0.0
  */
+PURPLE_AVAILABLE_IN_3_0
 const PurpleConnectionErrorInfo *purple_account_get_error(PurpleAccount *account);
 
 /**
diff --git a/libpurple/purpleaccountoption.h b/libpurple/purpleaccountoption.h
--- a/libpurple/purpleaccountoption.h
+++ b/libpurple/purpleaccountoption.h
@@ -175,7 +175,10 @@ void purple_account_option_set_default_s
  * Sets the masking for an account option. Setting this to %TRUE acts
  * as a hint to the UI that the option's value should be obscured from
  * view, like a password.
+ *
+ * Since: 3.0.0
  */
+PURPLE_AVAILABLE_IN_3_0
 void purple_account_option_string_set_masked(PurpleAccountOption *option, gboolean masked);
 
 /**
@@ -187,7 +190,10 @@ void purple_account_option_string_set_ma
  *
  * The list passed will be owned by the account option, and the
  * strings inside will be freed automatically.
+ *
+ * Since: 3.0.0
  */
+PURPLE_AVAILABLE_IN_3_0
 void purple_account_option_string_set_hints(PurpleAccountOption *option, GSList *hints);
 
 /**
@@ -223,7 +229,10 @@ void purple_account_option_add_list_item
  * Returns the specified account option's type.
  *
  * Returns: The account option's type.
+ *
+ * Since: 3.0.0
  */
+PURPLE_AVAILABLE_IN_3_0
 PurplePrefType purple_account_option_get_pref_type(const PurpleAccountOption *option);
 
 /**
@@ -297,7 +306,10 @@ const gchar *purple_account_option_get_d
  * as a '*' (for example).
  *
  * Returns: %TRUE if the option's value should be obscured.
+ *
+ * Since: 3.0.0
  */
+PURPLE_AVAILABLE_IN_3_0
 gboolean purple_account_option_string_get_masked(const PurpleAccountOption *option);
 
 /**
@@ -307,7 +319,10 @@ gboolean purple_account_option_string_ge
  * Returns the list of hints for an account option.
  *
  * Returns: (element-type utf8) (transfer none): A list of hints.
+ *
+ * Since: 3.0.0
  */
+PURPLE_AVAILABLE_IN_3_0
 const GSList *purple_account_option_string_get_hints(const PurpleAccountOption *option);
 
 /**
diff --git a/libpurple/purpleaccountpresence.h b/libpurple/purpleaccountpresence.h
--- a/libpurple/purpleaccountpresence.h
+++ b/libpurple/purpleaccountpresence.h
@@ -37,9 +37,13 @@ G_BEGIN_DECLS
  *
  * A #PurpleAccountPresence represent the #PurplePresence for a specific
  * #PurpleAccount.
+ *
+ * Since: 3.0.0
  */
 
 #define PURPLE_TYPE_ACCOUNT_PRESENCE (purple_account_presence_get_type())
+
+PURPLE_AVAILABLE_IN_3_0
 G_DECLARE_FINAL_TYPE(PurpleAccountPresence, purple_account_presence, PURPLE,
                      ACCOUNT_PRESENCE, PurplePresence)
 
@@ -63,7 +67,10 @@ PurpleAccountPresence *purple_account_pr
  * Returns an account presence's account.
  *
  * Returns: (transfer none): The presence's account.
+ *
+ * Since: 3.0.0
  */
+PURPLE_AVAILABLE_IN_3_0
 PurpleAccount *purple_account_presence_get_account(PurpleAccountPresence *presence);
 
 G_END_DECLS
diff --git a/libpurple/purpleaccountusersplit.h b/libpurple/purpleaccountusersplit.h
--- a/libpurple/purpleaccountusersplit.h
+++ b/libpurple/purpleaccountusersplit.h
@@ -45,6 +45,7 @@ typedef struct _PurpleAccountUserSplit	P
 
 G_BEGIN_DECLS
 
+PURPLE_AVAILABLE_IN_3_0
 GType purple_account_user_split_get_type(void);
 
 /**
@@ -139,7 +140,10 @@ void purple_account_user_split_set_rever
  * in configuration dialog.
  *
  * Returns: %TRUE, if the split is constant.
+ *
+ * Since: 3.0.0
  */
+PURPLE_AVAILABLE_IN_3_0
 gboolean purple_account_user_split_is_constant(PurpleAccountUserSplit *split);
 
 /**
@@ -148,7 +152,10 @@ gboolean purple_account_user_split_is_co
  * @constant: %TRUE, if the split is a constant part.
  *
  * Sets the constant parameter of account split.
+ *
+ * Since: 3.0.0
  */
+PURPLE_AVAILABLE_IN_3_0
 void purple_account_user_split_set_constant(PurpleAccountUserSplit *split, gboolean constant);
 
 G_END_DECLS
diff --git a/libpurple/purpleattachment.h b/libpurple/purpleattachment.h
--- a/libpurple/purpleattachment.h
+++ b/libpurple/purpleattachment.h
@@ -38,8 +38,11 @@ G_BEGIN_DECLS
  * PurpleAttachment:
  *
  * #PurpleAttachment represents a file attached to a #PurpleMessage.
+ *
+ * Since: 3.0.0
  */
 
+PURPLE_AVAILABLE_IN_3_0
 G_DECLARE_FINAL_TYPE(PurpleAttachment, purple_attachment, PURPLE, ATTACHMENT, GObject)
 
 /**
diff --git a/libpurple/purplebuddypresence.h b/libpurple/purplebuddypresence.h
--- a/libpurple/purplebuddypresence.h
+++ b/libpurple/purplebuddypresence.h
@@ -37,9 +37,13 @@ G_BEGIN_DECLS
  *
  * A #PurpleBuddyPresence represent the #PurplePresence for a specific
  * #PurpleBuddy.
+ *
+ * Since: 3.0.0
  */
 
 #define PURPLE_TYPE_BUDDY_PRESENCE (purple_buddy_presence_get_type())
+
+PURPLE_AVAILABLE_IN_3_0
 G_DECLARE_FINAL_TYPE(PurpleBuddyPresence, purple_buddy_presence, PURPLE,
                      BUDDY_PRESENCE, PurplePresence)
 
@@ -63,7 +67,10 @@ PurpleBuddyPresence *purple_buddy_presen
  * Returns the buddy presence's buddy.
  *
  * Returns: (transfer none): The presence's buddy.
+ *
+ * Since: 3.0.0
  */
+PURPLE_AVAILABLE_IN_3_0
 PurpleBuddy *purple_buddy_presence_get_buddy(PurpleBuddyPresence *presence);
 
 /**
@@ -76,7 +83,10 @@ PurpleBuddy *purple_buddy_presence_get_b
  * Returns: -1 if @buddy_presence1 is more available than @buddy_presence2.
  *           0 if @buddy_presence1 is equal to @buddy_presence2.
  *           1 if @buddy_presence1 is less available than @buddy_presence2.
+ *
+ * Since: 3.0.0
  */
+PURPLE_AVAILABLE_IN_3_0
 gint purple_buddy_presence_compare(PurpleBuddyPresence *buddy_presence1,
                                    PurpleBuddyPresence *buddy_presence2);
 
diff --git a/libpurple/purplechatconversation.h b/libpurple/purplechatconversation.h
--- a/libpurple/purplechatconversation.h
+++ b/libpurple/purplechatconversation.h
@@ -40,6 +40,7 @@ typedef struct _PurpleChatConversationCl
 #include "purplechatuser.h"
 #include "purpleconversation.h"
 #include "purpleimconversation.h"
+#include "purpleversion.h"
 
 G_BEGIN_DECLS
 
@@ -68,7 +69,10 @@ struct _PurpleChatConversationClass {
  * purple_chat_conversation_get_type:
  *
  * Returns: The #GType for the ChatConversation object.
+ *
+ * Since: 3.0.0
  */
+PURPLE_AVAILABLE_IN_3_0
 GType purple_chat_conversation_get_type(void);
 
 /**
@@ -80,7 +84,10 @@ GType purple_chat_conversation_get_type(
  * Creates a new chat conversation.
  *
  * Returns: The new conversation.
+ *
+ * Since: 3.0.0
  */
+PURPLE_AVAILABLE_IN_3_0
 PurpleConversation *purple_chat_conversation_new(PurpleAccount *account, const gchar *name);
 
 /**
@@ -93,7 +100,10 @@ PurpleConversation *purple_chat_conversa
  * Returns: (element-type PurpleChatUser) (transfer container):
  *          The list of users. Use g_list_free() when done
  *          using the list.
+ *
+ * Since: 3.0.0
  */
+PURPLE_AVAILABLE_IN_3_0
 GList *purple_chat_conversation_get_users(PurpleChatConversation *chat);
 
 /**
@@ -103,7 +113,10 @@ GList *purple_chat_conversation_get_user
  * Returns count of users in the chat room.
  *
  * Returns: The count of users in the chat room.
+ *
+ * Since: 3.0.0
  */
+PURPLE_AVAILABLE_IN_3_0
 guint purple_chat_conversation_get_users_count(PurpleChatConversation *chat);
 
 /**
@@ -113,7 +126,10 @@ guint purple_chat_conversation_get_users
  * @topic: The topic.
  *
  * Sets the chat room's topic.
+ *
+ * Since: 3.0.0
  */
+PURPLE_AVAILABLE_IN_3_0
 void purple_chat_conversation_set_topic(PurpleChatConversation *chat, const gchar *who, const gchar *topic);
 
 /**
@@ -123,7 +139,10 @@ void purple_chat_conversation_set_topic(
  * Returns the chat room's topic.
  *
  * Returns: The chat's topic.
+ *
+ * Since: 3.0.0
  */
+PURPLE_AVAILABLE_IN_3_0
 const gchar *purple_chat_conversation_get_topic(PurpleChatConversation *chat);
 
 /**
@@ -133,7 +152,10 @@ const gchar *purple_chat_conversation_ge
  * Returns who set the chat room's topic.
  *
  * Returns: Who set the topic.
+ *
+ * Since: 3.0.0
  */
+PURPLE_AVAILABLE_IN_3_0
 const gchar *purple_chat_conversation_get_topic_who(PurpleChatConversation *chat);
 
 /**
@@ -142,7 +164,10 @@ const gchar *purple_chat_conversation_ge
  * @id: The ID.
  *
  * Sets the chat room's ID.
+ *
+ * Since: 3.0.0
  */
+PURPLE_AVAILABLE_IN_3_0
 void purple_chat_conversation_set_id(PurpleChatConversation *chat, gint id);
 
 /**
@@ -152,7 +177,10 @@ void purple_chat_conversation_set_id(Pur
  * Gets the chat room's ID.
  *
  * Returns: The ID.
+ *
+ * Since: 3.0.0
  */
+PURPLE_AVAILABLE_IN_3_0
 gint purple_chat_conversation_get_id(PurpleChatConversation *chat);
 
 /**
@@ -164,7 +192,10 @@ gint purple_chat_conversation_get_id(Pur
  * @new_arrival: Decides whether or not to show a join notice.
  *
  * Adds a user to a chat.
+ *
+ * Since: 3.0.0
  */
+PURPLE_AVAILABLE_IN_3_0
 void purple_chat_conversation_add_user(PurpleChatConversation *chat, const gchar *user, const gchar *extra_msg, PurpleChatUserFlags flags, gboolean new_arrival);
 
 /**
@@ -186,7 +217,10 @@ void purple_chat_conversation_add_user(P
  *
  * The data is copied from @users, @extra_msgs, and @flags, so it is up to
  * the caller to free this list after calling this function.
+ *
+ * Since: 3.0.0
  */
+PURPLE_AVAILABLE_IN_3_0
 void purple_chat_conversation_add_users(PurpleChatConversation *chat, GList *users, GList *extra_msgs, GList *flags, gboolean new_arrivals);
 
 /**
@@ -196,7 +230,10 @@ void purple_chat_conversation_add_users(
  * @new_user: The new username.
  *
  * Renames a user in a chat.
+ *
+ * Since: 3.0.0
  */
+PURPLE_AVAILABLE_IN_3_0
 void purple_chat_conversation_rename_user(PurpleChatConversation *chat, const gchar *old_user, const gchar *new_user);
 
 /**
@@ -208,7 +245,10 @@ void purple_chat_conversation_rename_use
  * Removes a user from a chat, optionally with a reason.
  *
  * It is up to the developer to free this list after calling this function.
+ *
+ * Since: 3.0.0
  */
+PURPLE_AVAILABLE_IN_3_0
 void purple_chat_conversation_remove_user(PurpleChatConversation *chat, const gchar *user, const gchar *reason);
 
 /**
@@ -218,7 +258,10 @@ void purple_chat_conversation_remove_use
  * @reason: The optional reason given for the removal. Can be %NULL.
  *
  * Removes a list of users from a chat, optionally with a single reason.
+ *
+ * Since: 3.0.0
  */
+PURPLE_AVAILABLE_IN_3_0
 void purple_chat_conversation_remove_users(PurpleChatConversation *chat, GList *users, const gchar *reason);
 
 /**
@@ -229,7 +272,10 @@ void purple_chat_conversation_remove_use
  * Checks if a user is in a chat
  *
  * Returns: %TRUE if the user is in the chat, %FALSE if not
+ *
+ * Since: 3.0.0
  */
+PURPLE_AVAILABLE_IN_3_0
 gboolean purple_chat_conversation_has_user(PurpleChatConversation *chat, const gchar *user);
 
 /**
@@ -237,7 +283,10 @@ gboolean purple_chat_conversation_has_us
  * @chat: The chat.
  *
  * Clears all users from a chat.
+ *
+ * Since: 3.0.0
  */
+PURPLE_AVAILABLE_IN_3_0
 void purple_chat_conversation_clear_users(PurpleChatConversation *chat);
 
 /**
@@ -246,7 +295,10 @@ void purple_chat_conversation_clear_user
  * @nick: The nick.
  *
  * Sets your nickname (used for highlighting) for a chat.
+ *
+ * Since: 3.0.0
  */
+PURPLE_AVAILABLE_IN_3_0
 void purple_chat_conversation_set_nick(PurpleChatConversation *chat, const gchar *nick);
 
 /**
@@ -256,7 +308,10 @@ void purple_chat_conversation_set_nick(P
  * Gets your nickname (used for highlighting) for a chat.
  *
  * Returns: The nick.
+ *
+ * Since: 3.0.0
  */
+PURPLE_AVAILABLE_IN_3_0
 const gchar *purple_chat_conversation_get_nick(PurpleChatConversation *chat);
 
 /**
@@ -265,7 +320,10 @@ const gchar *purple_chat_conversation_ge
  *
  * Lets the core know we left a chat, without destroying it.
  * Called from purple_serv_got_chat_left().
+ *
+ * Since: 3.0.0
  */
+PURPLE_AVAILABLE_IN_3_0
 void purple_chat_conversation_leave(PurpleChatConversation *chat);
 
 /**
@@ -277,7 +335,10 @@ void purple_chat_conversation_leave(Purp
  *
  * Returns: (transfer none): The #PurpleChatUser with the name referred by
  *          @name.
+ *
+ * Since: 3.0.0
  */
+PURPLE_AVAILABLE_IN_3_0
 PurpleChatUser *purple_chat_conversation_find_user(PurpleChatConversation *chat, const gchar *name);
 
 /**
@@ -291,7 +352,10 @@ PurpleChatUser *purple_chat_conversation
  * Invite a user to a chat.
  * The user will be prompted to enter the user's name or a message if one is
  * not given.
+ *
+ * Since: 3.0.0
  */
+PURPLE_AVAILABLE_IN_3_0
 void purple_chat_conversation_invite_user(PurpleChatConversation *chat, const gchar *user, const gchar *message, gboolean confirm);
 
 /**
@@ -301,7 +365,10 @@ void purple_chat_conversation_invite_use
  * Gets whether we're no longer in this chat, and just left the window open.
  *
  * Returns: %TRUE if we left the chat already, %FALSE if we're still there.
+ *
+ * Since: 3.0.0
  */
+PURPLE_AVAILABLE_IN_3_0
 gboolean purple_chat_conversation_has_left(PurpleChatConversation *chat);
 
 G_END_DECLS
diff --git a/libpurple/purplechatuser.h b/libpurple/purplechatuser.h
--- a/libpurple/purplechatuser.h
+++ b/libpurple/purplechatuser.h
@@ -79,7 +79,10 @@ G_BEGIN_DECLS
  * Creates a new chat user
  *
  * Returns: The new chat user
+ *
+ * Since: 3.0.0
  */
+PURPLE_AVAILABLE_IN_3_0
 PurpleChatUser *purple_chat_user_new(PurpleChatConversation *chat,
                                      const gchar *name,
                                      const gchar *alias,
@@ -131,7 +134,10 @@ const gchar *purple_chat_user_get_alias(
  * Get the name of a chat user.
  *
  * Returns: The name of the chat user.
+ *
+ * Since: 3.0.0
  */
+PURPLE_AVAILABLE_IN_3_0
 const gchar *purple_chat_user_get_name(PurpleChatUser *chat_user);
 
 /**
@@ -140,7 +146,10 @@ const gchar *purple_chat_user_get_name(P
  * @flags: The new flags.
  *
  * Set the flags of a chat user.
+ *
+ * Since: 3.0.0
  */
+PURPLE_AVAILABLE_IN_3_0
 void purple_chat_user_set_flags(PurpleChatUser *chat_user,
                                 PurpleChatUserFlags flags);
 
@@ -179,7 +188,10 @@ gboolean purple_chat_user_is_buddy(Purpl
  * first, 0 if sorted equally, and 1 if @a should be sorted after @b.
  *
  * Returns: The sorting order of @a and @b.
+ *
+ * Since: 3.0.0
  */
+PURPLE_AVAILABLE_IN_3_0
 gint purple_chat_user_compare(PurpleChatUser *a, PurpleChatUser *b);
 
 G_END_DECLS
diff --git a/libpurple/purpleconnectionerrorinfo.h b/libpurple/purpleconnectionerrorinfo.h
--- a/libpurple/purpleconnectionerrorinfo.h
+++ b/libpurple/purpleconnectionerrorinfo.h
@@ -125,6 +125,8 @@ typedef struct
 
 
 #define PURPLE_TYPE_CONNECTION_ERROR_INFO (purple_connection_error_info_get_type())
+
+PURPLE_AVAILABLE_IN_3_0
 GType purple_connection_error_info_get_type(void);
 
 /**
diff --git a/libpurple/purplecontactinfo.h b/libpurple/purplecontactinfo.h
--- a/libpurple/purplecontactinfo.h
+++ b/libpurple/purplecontactinfo.h
@@ -34,6 +34,8 @@
 G_BEGIN_DECLS
 
 #define PURPLE_TYPE_CONTACT_INFO (purple_contact_info_get_type())
+
+PURPLE_AVAILABLE_IN_3_0
 G_DECLARE_DERIVABLE_TYPE(PurpleContactInfo, purple_contact_info, PURPLE,
                          CONTACT_INFO, GObject)
 
@@ -80,6 +82,8 @@ struct _PurpleContactInfoClass {
  * The information about a contact. This information is used everywhere you
  * need to refer to a user. Be it a chat, an direct message, a file transfer,
  * etc.
+ *
+ * Since: 3.0.0
  */
 
 /**
diff --git a/libpurple/purpleconversation.h b/libpurple/purpleconversation.h
--- a/libpurple/purpleconversation.h
+++ b/libpurple/purpleconversation.h
@@ -241,7 +241,10 @@ PurpleAccount *purple_conversation_get_a
  * Returns the specified conversation's purple_connection.
  *
  * Returns: (transfer none): The conversation's purple_connection.
+ *
+ * Since: 3.0.0
  */
+PURPLE_AVAILABLE_IN_3_0
 PurpleConnection *purple_conversation_get_connection(PurpleConversation *conv);
 
 /**
@@ -300,7 +303,10 @@ const char *purple_conversation_get_name
  * @msg:  The message to write.
  *
  * Writes to a chat or an IM.
+ *
+ * Since: 3.0.0
  */
+PURPLE_AVAILABLE_IN_3_0
 void purple_conversation_write_message(PurpleConversation *conv, PurpleMessage *msg);
 
 /**
@@ -309,8 +315,11 @@ void purple_conversation_write_message(P
  * @message: The message to write.
  * @flags:   The message flags (you don't need to set %PURPLE_MESSAGE_SYSTEM.
  *
- * Wites a system message to a chat or an IM.
+ * Writes a system message to a chat or an IM.
+ *
+ * Since: 3.0.0
  */
+PURPLE_AVAILABLE_IN_3_0
 void purple_conversation_write_system_message(PurpleConversation *conv, const gchar *message, PurpleMessageFlags flags);
 
 /**
@@ -320,7 +329,10 @@ void purple_conversation_write_system_me
  *
  * Sends a message to this conversation. This function calls
  * purple_conversation_send_with_flags() with no additional flags.
+ *
+ * Since: 3.0.0
  */
+PURPLE_AVAILABLE_IN_3_0
 void purple_conversation_send(PurpleConversation *conv, const gchar *message);
 
 /**
@@ -331,7 +343,10 @@ void purple_conversation_send(PurpleConv
  *           PURPLE_MESSAGE_SEND.
  *
  * Sends a message to this conversation with specified flags.
+ *
+ * Since: 3.0.0
  */
+PURPLE_AVAILABLE_IN_3_0
 void purple_conversation_send_with_flags(PurpleConversation *conv, const gchar *message, PurpleMessageFlags flags);
 
 /**
@@ -383,7 +398,10 @@ void purple_conversation_update(PurpleCo
  * hasn't explicitly and knowingly caused a message to be sent.
  * The confirmation ensures that the user isn't sending a
  * message by mistake.
+ *
+ * Since: 3.0.0
  */
+PURPLE_AVAILABLE_IN_3_0
 void purple_conversation_send_confirm(PurpleConversation *conv, const gchar *message);
 
 /**
@@ -412,7 +430,10 @@ GList * purple_conversation_get_extended
  * the error another way (purple_notify_error, most likely)
  *
  * Returns:        TRUE if the error was presented, else FALSE
+ *
+ * Since: 3.0.0
  */
+PURPLE_AVAILABLE_IN_3_0
 gboolean purple_conversation_present_error(const gchar *who, PurpleAccount *account, const gchar *what);
 
 /**
diff --git a/libpurple/purpleconversationuiops.h b/libpurple/purpleconversationuiops.h
--- a/libpurple/purpleconversationuiops.h
+++ b/libpurple/purpleconversationuiops.h
@@ -123,7 +123,10 @@ G_BEGIN_DECLS
  * purple_conversation_ui_ops_get_type:
  *
  * Returns: The #GType for the #PurpleConversationUiOps boxed structure.
+ *
+ * Since: 3.0.0
  */
+PURPLE_AVAILABLE_IN_3_0
 GType purple_conversation_ui_ops_get_type(void);
 
 G_END_DECLS
diff --git a/libpurple/purplegdkpixbuf.h b/libpurple/purplegdkpixbuf.h
--- a/libpurple/purplegdkpixbuf.h
+++ b/libpurple/purplegdkpixbuf.h
@@ -32,6 +32,7 @@
 #include <gdk-pixbuf/gdk-pixbuf.h>
 
 #include "image.h"
+#include "purpleversion.h"
 
 G_BEGIN_DECLS
 
@@ -40,7 +41,10 @@ G_BEGIN_DECLS
  * @pixbuf:  The buddy icon to transform
  *
  * Rounds the corners of a GdkPixbuf in place.
+ *
+ * Since: 3.0.0
  */
+PURPLE_AVAILABLE_IN_3_0
 void purple_gdk_pixbuf_make_round(GdkPixbuf *pixbuf);
 
 /**
@@ -51,7 +55,10 @@ void purple_gdk_pixbuf_make_round(GdkPix
  * alpha at any of the edge pixels.
  *
  * Returns: TRUE if the pixbuf is opaque around the edges, FALSE otherwise
+ *
+ * Since: 3.0.0
  */
+PURPLE_AVAILABLE_IN_3_0
 gboolean purple_gdk_pixbuf_is_opaque(GdkPixbuf *pixbuf);
 
 /**
@@ -63,7 +70,10 @@ gboolean purple_gdk_pixbuf_is_opaque(Gdk
  *
  * Returns: (transfer full): A GdkPixbuf created from the image data, or NULL if
  *         there was an error parsing the data.
+ *
+ * Since: 3.0.0
  */
+PURPLE_AVAILABLE_IN_3_0
 GdkPixbuf *purple_gdk_pixbuf_from_data(const guchar *buf, gsize count);
 
 /**
@@ -73,7 +83,10 @@ GdkPixbuf *purple_gdk_pixbuf_from_data(c
  * Create a GdkPixbuf from a PurpleImage.
  *
  * Returns: (transfer full): a GdkPixbuf created from the @image.
+ *
+ * Since: 3.0.0
  */
+PURPLE_AVAILABLE_IN_3_0
 GdkPixbuf *
 purple_gdk_pixbuf_from_image(PurpleImage *image);
 
@@ -98,7 +111,10 @@ purple_gdk_pixbuf_from_image(PurpleImage
  *
  * Returns: (transfer full): The GdkPixbuf if successful.  Otherwise NULL is returned and
  *         a warning is logged.
+ *
+ * Since: 3.0.0
  */
+PURPLE_AVAILABLE_IN_3_0
 GdkPixbuf *purple_gdk_pixbuf_new_from_file(const char *filename);
 
 /**
@@ -124,7 +140,10 @@ GdkPixbuf *purple_gdk_pixbuf_new_from_fi
  *
  * Returns: (transfer full): The GdkPixbuf if successful.  Otherwise NULL is returned and
  *         a warning is logged.
+ *
+ * Since: 3.0.0
  */
+PURPLE_AVAILABLE_IN_3_0
 GdkPixbuf *purple_gdk_pixbuf_new_from_file_at_size(const char *filename, int width, int height);
 
 G_END_DECLS
diff --git a/libpurple/purplegio.h b/libpurple/purplegio.h
--- a/libpurple/purplegio.h
+++ b/libpurple/purplegio.h
@@ -30,6 +30,7 @@
 #include <gio/gio.h>
 
 #include "purpleaccount.h"
+#include "purpleversion.h"
 
 G_BEGIN_DECLS
 
@@ -43,7 +44,10 @@ G_BEGIN_DECLS
  * asynchronously waits for the operations to finish before closing the
  * arguments. Ensure the Gio callbacks can safely handle this being done
  * asynchronously.
+ *
+ * Since: 3.0.0
  */
+PURPLE_AVAILABLE_IN_3_0
 void purple_gio_graceful_close(GIOStream *stream, GInputStream *input, GOutputStream *output);
 
 /**
@@ -57,7 +61,10 @@ void purple_gio_graceful_close(GIOStream
  * Returns: (transfer full): A new #GSocketClient with the appropriate
  * GProxyResolver, based on the #PurpleAccount settings and
  * TLS Certificate handling, or NULL if an error occurred.
+ *
+ * Since: 3.0.0
  */
+PURPLE_AVAILABLE_IN_3_0
 GSocketClient *purple_gio_socket_client_new(PurpleAccount *account, GError **error);
 
 /**
@@ -72,7 +79,10 @@ GSocketClient *purple_gio_socket_client_
  * range in the settings, than a port will be chosen from that range.
  *
  * Returns: The port number, or 0 in case of failure.
+ *
+ * Since: 3.0.0
  */
+PURPLE_AVAILABLE_IN_3_0
 guint16 purple_socket_listener_add_any_inet_port(GSocketListener *listener, GObject *source_object, GError **error);
 
 G_END_DECLS
